Bug 53273 - Unwieldy name in Windows 8 "Open with" dialog
Summary: Unwieldy name in Windows 8 "Open with" dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 67577 81252 (view as bug list)
Depends on:
Blocks: Desktop-Integration
  Show dependency treegraph
 
Reported: 2012-08-08 22:51 UTC by Brennan Vincent
Modified: 2017-09-22 17:31 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Note the name given to LibreOffice Writer in the dialog box (149.06 KB, image/png)
2012-08-08 22:51 UTC, Brennan Vincent
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brennan Vincent 2012-08-08 22:51:29 UTC
Created attachment 65316 [details]
Note the name given to LibreOffice Writer in the dialog box

The attached screenshot speaks for itself.
Comment 1 bfoman (inactive) 2012-08-09 08:08:53 UTC
Confirmed with:
LO 3.6.0.4 
Build ID: 932b512
Windows 8 Release Preview 32 bit
VirtualBox 4.1.18

For files in .docx format "C:Program Files\LibreOffice 3.6\program\\swriter.exe" -o "%1" is displayed in Open with... window. 
For native .odt files LibreOffice Writer is displayed.
When checking file associations in Control Panel>Programs>Default Programs>Set Associations LibreOffice is presented as Unknown application for many formats like .doc, .docx, .xls, .xlsx, .ppt, .pptx.
LibreOffice is recognized for all native formats and for example .csv or .dbf.

(In reply to comment #0)
> The attached screenshot speaks for itself.

Not really. Please submit bug reports according to http://wiki.documentfoundation.org/BugReport guide. Attached screenshot lacks many useful informations and, most of all, you can't search its content.
Comment 2 Andras Timar 2012-09-05 09:01:04 UTC
I cc Jesus, probably he knows where to set the name for this dialog. Brennan, you can also help, search in the registry for "Microsoft Word" and try to find out which one is used in relation of this dialog (related to opening of file type .docx).
Comment 3 bfoman (inactive) 2013-07-31 16:06:08 UTC
*** Bug 67577 has been marked as a duplicate of this bug. ***
Comment 4 Urmas 2013-08-01 08:32:07 UTC
It uses an SWRITER.EXE description string for this dialog for me.
Comment 5 Urmas 2013-09-01 12:20:12 UTC
This behavior is caused by the double backslash in the command line.

The string itself comes from the 'open' verb of various LibreOffice.* types in Registry.
Comment 6 Jesus Corrius 2013-09-01 12:25:22 UTC
Let me take a look at this
Comment 7 Jesus Corrius 2013-09-02 11:05:28 UTC
I tested it and works fine now with the latest master build and I suspect this will work fine also in LibreOffice 4.1.2 as I introduced some fixes for Windows 7 that accidentally fix this issue too. It should still be reproducible in LibreOffice 4.1.1 as the fixed were made after.

We can keep this issue open until it's verified, but I am confident that this is fixed now.
Comment 8 pavel.lastovicka 2014-03-14 12:39:24 UTC
I can confirm this bug is present in 4.1.3.
If it is really fixed in recent code, it would be nice to know exactly in which version. Thank you.
Comment 9 Urmas 2014-07-12 02:04:19 UTC
*** Bug 81252 has been marked as a duplicate of this bug. ***
Comment 10 helplibreoffice 2014-07-12 05:01:49 UTC
I can confirm the double backslash still exists in 4.2.5.2
Comment 11 QA Administrators 2015-07-18 17:43:02 UTC Comment hidden (obsolete, spam)
Comment 12 Stuart Swales 2016-06-23 10:19:20 UTC
I have fixed the double backslash problem in a related issue:

skswales committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ab7db320ff158949d2eadaa6e654115201ddf61

tdf#97872 File association in Windows registry

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Stuart Swales 2016-06-23 17:26:49 UTC
tdf#53273 implies that people did have problems with the double backslash on Windows 8
Comment 14 Stuart Swales 2016-06-23 17:27:40 UTC
Sorry, I meant to paste that text into the referencing issue...
Comment 15 Xisco Faulí 2017-07-13 11:25:59 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 16 V Stuart Foote 2017-09-22 17:31:15 UTC
Sorry, this should have been marked resolved fixed for the 5.3.0 release. Stuart S.'s commit http://cgit.freedesktop.org/libreoffice/core/commit/?id=8ab7db320ff158949d2eadaa6e654115201ddf61 for bug 97872 corrected this as well.

=-ref-=
https://gerrit.libreoffice.org/25849